Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Register points earned from a completed purchase

Points wallets only.

POST/wallets/{id}/register_purchase
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Request body
requiredapplication/json
reference_codestringrequired
order_amountintegerrequired
descriptionstringrequired
campaign_idinteger
shop_idstring
Responses
200

Points registered

_linksHalLinks
idinteger
directionstring
Allowed:incomingoutgoing
statestring
Allowed:pendingcompletedreverseddeletedexpired
amountinteger

Positive for incoming transfers, negative for outgoing.

original_amountinteger

Order total that earned this transfer, for points earned from a purchase.

descriptionstring
reference_codestring
payment_methodstring
shop_idstring
wallet_idinteger
balance_expires_atstring<date-time>
created_onstring<date-time>
422

A transfer for this reference_code already exists, or the program's points divider is misconfigured

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.onbolder.com/v2/wallets/0/register_purchase' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "reference_code": "order-9001",
  "order_amount": 25000,
  "description": "Points earned on order #9001"
}'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "direction": "incoming",
  "state": "pending",
  "amount": 0,
  "original_amount": 0,
  "description": "string",
  "reference_code": "string",
  "payment_method": "string",
  "shop_id": "string",
  "wallet_id": 0,
  "balance_expires_at": "2019-08-24T14:15:22Z",
  "created_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?